Installation problem with OpenMx 1.1.1 with R 2.13.1 in Fedora 15

4 replies [Last post]
Mike Cheung's picture
Offline
Joined: 10/08/2009

I usually have problems in installing OpenMx in Fedora 15 with
source('http://openmx.psyc.virginia.edu/getOpenMx.R')

My guess is that Fedora 15 uses gcc4.6 while OpenMx comes with gcc4.4. The following is the error message:
checking for inst/npsol/linux/x86/gcc4.6/libnpsol.a... no
configure: error: npsol library not found
ERROR: configuration failed for package ‘OpenMx’

The workaround that I used was unzipping OpenMx into a folder and copy gcc4.4/libnpsol.a to gcc4.6/libnpsol.a. Then I could install it from the OpenMx folder or its zipped file. It worked for the previous versions of OpenMx.

I used the same trick for OpenMx 1.1.1 but failed with the following error message:
checking for inst/npsol/linux/x86/gcc4.6/libnpsol.a... yes
configure: creating ./config.status
config.status: creating src/Makevars
config.status: executing src/omxSymbolTable.h commands
config.status: executing src/omxSymbolTable.c commands
** libs
gcc -m32 -std=gnu99 -I/usr/include/R -I/usr/local/include -Wall -mmacosx-version-min=10.4 -fpic -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i686 -mtune=atom -fasynchronous-unwind-tables -c merge.c -o merge.o
cc1: error: unrecognized command line option ‘-mmacosx-version-min=10.4’
make: *** [merge.o] Error 1
ERROR: compilation failed for package ‘OpenMx’

I have the same error in another computer with a 64 bit Fedora 15. Any suggestions? Thanks in advance.

Mike

> R.Version()
$platform
[1] "i386-redhat-linux-gnu"

$arch
[1] "i386"

$os
[1] "linux-gnu"

$system
[1] "i386, linux-gnu"

$status
[1] ""

$major
[1] "2"

$minor
[1] "13.1"

$year
[1] "2011"

$month
[1] "07"

$day
[1] "08"

$`svn rev`
[1] "56322"

$language
[1] "R"

$version.string
[1] "R version 2.13.1 (2011-07-08)"

rgore's picture
Offline
Joined: 01/27/2011
Re: Installation problem with OpenMx 1.1.1 with R 2.13.1 in Fed

Hi Mike,
It has to do with the -mmacosx-version-min=10.4 flag that is getting triggered. It ensures backwards compatibility for Macs but it shouldn't be showing up on Fedora. Let me look into the configuration settings and then get back to you and ask you to try it again. Thanks Ross.

rgore's picture
Offline
Joined: 01/27/2011
Re: Installation problem with OpenMx 1.1.1 with R 2.13.1 in Fed

Hi Mike, This issue should be fixed. When you get a chance please try and install again and let me know the outcome!

Ross

mspiegel's picture
Offline
Joined: 07/31/2009
Yeah, I think Ross has fixed

Yeah, I think Ross has fixed the problem. Mike, go ahead and re-run the installer and let us know if it's working. I also checked in a patch that puts a copy of libnpsol into the gcc4.6 directory. But that won't take effect until version 1.1.2.

Mike Cheung's picture
Offline
Joined: 10/08/2009
Thanks, Ross and Michael. It

Thanks, Ross and Michael.
It works fine in both 32 bit and 64 bit Fedora 15.